Vinix· docs
API referenceCore APIVoice CapabilitiesCall Reports (CDRs)

Get Cdr

Sandbox is coming soon

Today, requests on this page run against your live account. A hosted sandbox with simulated PSTN is on the roadmap — until then, use a non-production user or callflow when experimenting.

Details
GET
/accounts/{account_id}/cdrs/{cdr_id}

Authorization

AuthToken
X-Auth-Token<token>

Obtain via PUT /v2/user_auth (user credentials) or PUT /v2/api_auth (account API key). See Authentication.

In: header

Path Parameters

account_id*string

Vinix account identifier.

cdr_id*string

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/accounts/string/cdrs/string"
{
  "data": {
    "app_name": "string",
    "app_version": "string",
    "billing_seconds": 0,
    "call_direction": "inbound",
    "call_id": "string",
    "callee_id_name": "string",
    "callee_id_number": "string",
    "caller_id_name": "string",
    "caller_id_number": "string",
    "channel_created_time": 0,
    "custom_application_vars": {},
    "custom_channel_vars": {
      "property1": "string",
      "property2": "string"
    },
    "custom_sip_headers": {
      "property1": "string",
      "property2": "string"
    },
    "digits_dialed": "string",
    "disposition": "string",
    "duration_seconds": 0,
    "fax_bad_rows": "string",
    "fax_ecm_used": "string",
    "fax_result_code": "string",
    "fax_result_text": "string",
    "fax_success": "string",
    "fax_total_pages": "string",
    "fax_transfer_rate": "string",
    "fax_transferred_pages": "string",
    "from": "string",
    "from_tag": "string",
    "from_uri": "string",
    "hangup_cause": "string",
    "hangup_code": "string",
    "interaction_id": "string",
    "local_sdp": "string",
    "media_server": "string",
    "node": "string",
    "other_leg_call_id": "string",
    "other_leg_caller_id_name": "string",
    "other_leg_caller_id_number": "string",
    "other_leg_destination_number": "string",
    "other_leg_direction": "string",
    "presence_id": "string",
    "remote_sdp": "string",
    "request": "string",
    "ringing_seconds": 0,
    "timestamp": 0,
    "to": "string",
    "to_tag": "string",
    "to_uri": "string",
    "user_agent": "string"
  }
}
{
  "code": "string",
  "message": "string",
  "request_id": "string"
}
{
  "code": "string",
  "message": "string",
  "request_id": "string"
}